> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Outlines Sync V1



## OpenAPI

````yaml /api-reference/cloud-enterprise.json post /api/v3/presentation/outlines/generate
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.presenton.ai
security: []
paths:
  /api/v3/presentation/outlines/generate:
    post:
      tags:
        - V3 Presentation
      summary: Generate Outlines Sync V1
      operationId: generate_outlines_sync_v1_api_v3_presentation_outlines_generate_post
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            description: Bearer JWT or API Key
            title: Authorization
          description: Bearer JWT or API Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateOutlinesRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                title: >-
                  Response Generate Outlines Sync V1 Api V3 Presentation
                  Outlines Generate Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GenerateOutlinesRequest:
      properties:
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
          description: The content for generating the presentation
        files:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Files
          description: The files to use for the presentation
        n_slides:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Slides
          description: The number of slides to generate
        design:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Design
          description: Optional design ID to use for outline generation
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          description: The language for the presentation
        tone:
          $ref: '#/components/schemas/Tone'
          description: The tone for the presentation
          default: default
        verbosity:
          $ref: '#/components/schemas/Verbosity'
          description: The verbosity for the presentation
          default: standard
        content_generation:
          anyOf:
            - $ref: '#/components/schemas/ContentGenerationMode'
            - type: 'null'
          description: The content generation mode for the presentation
        include_title_slide:
          type: boolean
          title: Include Title Slide
          description: Whether to include a title slide
          default: true
        allow_access_to_user_info:
          type: boolean
          title: Allow Access To User Info
          description: Whether to allow access to user's info
          default: true
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
          description: The instructions for the presentation
      type: object
      title: GenerateOutlinesRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Tone:
      type: string
      enum:
        - default
        - casual
        - professional
        - funny
        - educational
        - sales_pitch
      title: Tone
    Verbosity:
      type: string
      enum:
        - concise
        - standard
        - text-heavy
      title: Verbosity
    ContentGenerationMode:
      type: string
      enum:
        - preserve
        - enhance
        - condense
      title: ContentGenerationMode
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````